package com.uas.task;


import com.uas.service.DownloadFilePathService;
import com.uas.service.DownloadService;
import com.uas.service.UploadService;
import com.uas.util.BaseUtil;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


/**
 * @author koul
 * @email koul@usoftchina.com
 * @date 2020-11-20 09:42
 */
@Component("scheduleTask")
public class ScheduleTask {

    @Autowired
    private UploadService uploadService;

    @Autowired
    private DownloadService downloadService;

    /*@Autowired
    private DownloadFilePathService downloadFilePathService;*/

    /**
     * XML文件处理
     */
    @Scheduled(fixedRate=1000*60)
    public void ediSendAndReceive() {
        BaseUtil.getLogger().info("XML文件处理开始");
        long timeMillis = System.currentTimeMillis();
        uploadService.uploadRun();
        downloadService.downloadRun();
        BaseUtil.getLogger().info("XML文件处理结束:用时" + ((System.currentTimeMillis() - timeMillis) / 1000));
    }

    /**
     * 签收单回传附件处理
     */
   /* @Scheduled(fixedRate=1000*60*60)
    public void downloadFile() {
        BaseUtil.getLogger().info("签收单回传附件开始");
        long timeMillis = System.currentTimeMillis();
        downloadFilePathService.runDownloadFilePath();
        BaseUtil.getLogger().info("签收单回传附件结束:用时" + ((System.currentTimeMillis() - timeMillis) / 1000));
    }*/
}
